<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>现场踏勘记录管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		var validateForm;
		function doSubmit(){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
		  if(validateForm.form()){
			  $("#inputForm").submit();
			  return true;
		  }
	
		  return false;
		}
		$(document).ready(function() {
			validateForm = $("#inputForm").validate({
				submitHandler: function(form){
					loading('正在提交，请稍等...');
					form.submit();
				},
				errorContainer: "#messageBox",
				errorPlacement: function(error, element) {
					$("#messageBox").text("输入有误，请先更正。");
					if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
						error.appendTo(element.parent().parent());
					} else {
						error.insertAfter(element);
					}
				}
			});
            getCurrentDocumentHei()
		});
        function getCurrentDocumentHei(){
            var height = $(document).outerHeight();
            parent.$("#controltype").attr("height",height +"px")
        }
	</script>
</head>
<body>
<div class="single-form">
	<div class="container">
		<form:form id="inputForm" modelAttribute="workExplore" action="${ctx}/workexplore/workExplore/save" method="post" class="form-horizontal">
			<form:hidden path="id"/>
			<sys:message content="${message}"/>
			<input type="hidden" name="projectId" id="projectId">
			<div class="form-group layui-row first">
				<div class="form-group-label"><h2>基础信息</h2></div>
				<div class="layui-item layui-col-sm12">
					<label class="layui-form-label"  style="width:105px;"><span class="require-item">*</span>现场踏勘记录：</label>
					<div class="layui-input-block" style="margin-left:131px">
						<form:textarea path="remarks" htmlEscape="false" rows="16"    class="form-control required"/>
					</div>
				</div>
			</div>
		</form:form>
	</div>
</div>
</body>
</html>